//Global Styling

/* Hamburger Button Styling*/

.menu-btn {
	cursor: pointer;
	z-index: 3;
	@include easeOut;
	.btn-line {
		background-color: $white;
		width: 28px;
		height: 3px;
		margin: 5px;
		@include easeOut;
	}
	&.close {
		transform: rotate(180deg);
		.btn-line {
			&:nth-child(1) {
				transform: rotate(45deg) translate(5px, 5px);
			}

			&:nth-child(2) {
				opacity: 0;
			}
			&:nth-child(3) {
				transform: rotate(-45deg) translate(7px, -6px);
			}
		}
	}
}

.nav-wrapper {
	a {
		font-family: $Poppins;
		font-weight: 600;
		color: $white;
	}
}

.bg-svg {
	background-image: url("../images/showCase.png");
	background-repeat: no-repeat;
	background-size: cover;
}
header {
	background-color: $maroon;
}

.content {
	background-color: $overlay;
	color: $black;
	h1 {
		font-family: $Poppins;
		font-weight: 800;
	}
	p {
		font-family: $Roboto;
		font-weight: 500;
		line-height: 1.47;
	}
	.btn-1,
	.btn2 {
		font-size: 1rem;
	}
}
//mobile.....................................................................................................

@media only screen and (max-width: 467px) {
	.btn-3 {
		border-top-left-radius: 0.5rem;
		border-bottom-left-radius: 0.5rem;
	}
	.bg-svg {
		background-position: center;
	}
	header {
		position: relative;
	}
	.header-wrapper {
		padding: 0.5rem 1rem;
		display: flex;
		justify-content: space-between;
		align-items: center;
		position: relative;

		nav {
			width: 100%;
			top: 4.2rem;
			left: -100%;
			text-align: center;
			position: absolute;
			@include easeOut;
			border-radius: 5px;
			border-top: 1px solid black;
			.nav-wrapper {
				display: flex;
				flex-direction: column;
				gap: 1rem;
				background-color: $maroon;
				width: 100%;
				margin: auto;
				padding: 1rem;
				a {
				}
			}
			&.close {
				left: 0;
			}
		}
	}

	.content {
		padding-top: 3.375rem;
		padding-bottom: 8.4375rem;
		padding-left: 2.25rem;
		padding-right: 2.25rem;
		text-align: center;
		max-width: 100vw;
		font-family: "Overpass", sans-serif;
		h1 {
			font-size: 1.875rem;
			margin-bottom: 1.125rem;
			font-weight: 600;
		}
		p {
			font-size: 1rem;
			margin-bottom: 2.75rem;
			font-weight: 300;
		}
	}

	.content-btn {
		display: flex;
		gap: 1rem;
		justify-content: center;
		font-weight: 300;
	}

	.btn-3 {
		font-size: 1rem;
		padding: 0.5rem;
	}
	.floater {
		display: flex;
		flex-direction: column;
		gap: 0.3rem;
		align-items: center;
		padding: 1rem 0;
	}

	.floater-select {
		display: flex;
		align-items: center;
		justify-content: center;
		gap: 0.5rem;
		padding: 1rem;
		flex-wrap: wrap;
		select {
			padding: 0.2rem;
			border: 1px solid $light-white;
			outline: none;
			background-color: hsla(0, 5%, 89%, 1);
		}
	}
}

//laptops...........................................................................................................

@media only screen and (min-width: 468px) {
	// .showcase{
	//     max-height: 100vh;
	// }

	.header-wrapper {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	.nav-wrapper {
		display: flex;
		gap: 2rem;
		padding: 1rem 0rem;
	}

	.menu-btn {
		display: none;
	}

	.content {
		padding-top: 8.875rem;
		padding-bottom: 7.875rem;
		text-align: left;

		h1 {
			font-size: 3.5rem;
			margin-bottom: 1rem;
			font-weight: 600;
			max-width: 42.5625rem;
		}
		p {
			padding-left: 0.5rem;
			font-size: 1.5rem;
			margin-bottom: 2rem;
			font-weight: 300;
			max-width: 38.625rem;
		}
	}

	.content-btn {
		padding-left: 0.5rem;
		display: flex;
		gap: 1rem;
		font-weight: 300;
		.btn-1,
		.btn2 {
			font-size: 1.5rem;
		}
	}

	//floater styling

	.floater {
		display: flex;
		justify-content: center;
		width: 90%;
		margin: auto;
		transform: translateY(-50%);
	}

	.floater-select {
		border-top-left-radius: 0.5rem;
		border-bottom-left-radius: 0.5rem;
		display: flex;
		box-shadow: 4px 4px 24px rgba(0, 0, 0, 0.25);
		gap: 2.5rem;
		padding: 1.5625rem 2.5rem;
		background-color: $white;
		select {
			padding: 0.75rem;
			border: 1px solid $light-white;
			outline: none;
			background-color: hsla(0, 5%, 89%, 1);
		}
	}

	.btn-3 {
		font-size: 1.5rem;
		padding: 2rem 3rem 2rem 4.8rem;
		box-shadow: 4px 4px 24px rgba(0, 0, 0, 0.25);
	}
}

//tablets..............................................................................................................

@media only screen and (min-width: 469px) and (max-width: 768px) {
	.btn-3 {
		border-top-left-radius: 0.5rem;
		border-bottom-left-radius: 0.5rem;
	}
	.header-wrapper {
		padding: 1rem;
	}

	.content {
		padding: 4rem 1rem;
	}

	//floater styling

	.floater {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 100%;
		transform: translateY(0%);
		padding: 0 1rem;
	}

	.floater-select {
		border-top-left-radius: 0.5rem;
		border-bottom-left-radius: 0.5rem;
		display: flex;
		box-shadow: none;
		flex-wrap: wrap;
		align-items: center;
		justify-content: center;
		gap: 2.5rem;
		padding: 1rem;
		background-color: $white;
		select {
			padding: 0.75rem;
			border: 1px solid $light-white;
			outline: none;
		}
	}

	.btn-3 {
		font-size: 1rem;
		padding: 1rem;
		box-shadow: none;
	}
}

//     .showcase{
//        overflow:hidden;

//     }

//     header{
//         padding-left: 2rem;
//         padding-right: 2rem;
//         nav{
//             .class-drp{
//                 margin-left: 2.75rem;

//             }
//             .user{
//                 gap: 0rem;

//             }
//         }

//     }

//     .ubtn{
//         padding: 1rem 1rem;

//     }

// }

//for small screen laptops.......................................................................................

// @media only screen and (min-width: 769px) and (max-width: 1024px) {

//     .showcase{
//         overflow:hidden;
//      }

//     header{
//         padding-left: 3rem;
//         padding-right: 3rem;
//         nav{
//             .class-drp{
//                 margin-left: 2.75rem;

//             }
//         }

//     }

//     .ubtn{
//         padding: 1rem 1.5rem;

//     }

// }
